use serde::{Deserialize, Serialize};

use crate::identifier::Identifier;

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct ItemStack {
    id: Identifier,
    components: Vec<ItemComponent>,
}

#[derive(Debug, Serialize, Deserialize, Clone, Eq, PartialEq)]
pub enum ItemComponent {}
